%define upstream_name    Class-Maker
%define upstream_version 0.5.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Exceptions tuned for Class::Maker
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Extended)
BuildArch: noarch

%description
Class::Maker introduces the concept of classes via a "class" function. It
automatically creates packages, ISA, new and attribute-handlers. The
classes can inherit from common perl-classes and class-maker classes.
Single and multiple inheritance is supported.

This package is for everybody who wants to program oo-perl and does not
really feel comfortable with the common way.

Java-like reflection is also implemented and allows one to inspect the
class properties and methods during runtime. This is helpfull for
implementing persistance and serialization. A Tangram (see cpan) schema
generator is included to the package, so one can use Tangram
object-persistance on the fly as long as he uses Class::Maker classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5.14-2.mga3
+ Revision: 364444
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 shlomif <shlomif> 0.5.14-1.mga3
+ Revision: 324655
- imported package perl-Class-Maker

